openSUSE Security Update : p7zip (openSUSE-2015-456)

Medium Nessus Plugin ID 84497


The remote openSUSE host is missing a security update.


p7zip was update to fix one security issue.

The following vulnerability was fixed :

- CVE-2015-1038: Attackers could have written to arbitrary files via a symlink attack in a specially crafted archive (boo#912878)


Update the affected p7zip packages.

See Also

Plugin Details

Severity: Medium

ID: 84497

File Name: openSUSE-2015-456.nasl

Version: $Revision: 2.1 $

Type: local

Agent: unix

Published: 2015/07/02

Modified: 2015/07/02

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:p7zip, p-cpe:/a:novell:opensuse:p7zip-debuginfo, p-cpe:/a:novell:opensuse:p7zip-debugsource, cpe:/o:novell:opensuse:13.1, cpe:/o:novell:opensuse:13.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2015/06/23

Reference Information

CVE: CVE-2015-1038